Bug 9436 - Use DataTables on cities administration page
Summary: Use DataTables on cities administration page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-20 00:47 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9436 - Use DataTables on cities administration page (2.76 KB, patch)
2013-01-20 00:57 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 9436 - Use DataTables on cities administration page (2.90 KB, patch)
2013-01-22 15:41 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9436 - Use DataTables on cities administration page (2.90 KB, patch)
2013-01-28 08:07 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9436 [Revised] Use DataTables on cities administration page (2.86 KB, patch)
2013-02-26 15:58 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9436 [Revised] Use DataTables on cities administration page (2.93 KB, patch)
2013-02-27 23:27 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 9436 [Revised] Use DataTables on cities administration page (3.19 KB, patch)
2013-03-05 09:29 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9436 [Revised] Use DataTables on cities administration page (3.23 KB, patch)
2013-03-14 19:58 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-01-20 00:47:53 UTC
The cities administration page uses the old tablesorter plugin. It should use the DataTables plugin instead.
Comment 1 Owen Leonard 2013-01-20 00:57:36 UTC Comment hidden (obsolete)
Comment 2 Jonathan Druart 2013-01-22 15:41:30 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-01-28 08:07:55 UTC Comment hidden (obsolete)
Comment 4 Owen Leonard 2013-02-26 15:58:34 UTC Comment hidden (obsolete)
Comment 5 Bernardo Gonzalez Kriegel 2013-02-27 23:27:24 UTC Comment hidden (obsolete)
Comment 6 Jonathan Druart 2013-03-05 09:28:52 UTC
QA comment:

This patch replaces tablesorter with datatable on the cities admin page.
The pagination is not "four_button" I don't know if it is deliberate.

Marked as Passed QA.
Comment 7 Jonathan Druart 2013-03-05 09:29:11 UTC Comment hidden (obsolete)
Comment 8 Jared Camins-Esakov 2013-03-07 15:48:07 UTC
This conflicts with the Bootstrap button for creating a new city.
Comment 9 Owen Leonard 2013-03-14 19:58:08 UTC
Created attachment 16139 [details] [review]
Bug 9436 [Revised] Use DataTables on cities administration page

Replace the tablesorter plugin with the DataTables plugin on the
cities administration page.

To test, open the cities administration page (Administration
-> Cities and towns). Confirm that table sorting works correctly.

Revision corrects template path to datatables assets.
Further revision corrects conflict with Bug 9630

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>

Comment: Sorting works. No errors.
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Amended patch: Add the aLengthMenu key for DataTables + delete an unused
div block (used for pager)
Comment 10 Owen Leonard 2013-03-14 19:58:49 UTC
Please update the status if you think it's incorrect to return this to "Passed QA."
Comment 11 Jared Camins-Esakov 2013-03-15 23:24:47 UTC
This patch has been pushed to master.